li#wp-admin-bar-search {
    display: none !important;
}

#mega-menu-wrap-mainmenu:has(.mega-menu-open) #mega-menu-mainmenu[data-effect-mobile^="slide_"] + button.mega-close {
    padding: .5rem !important;
    border-radius: 12px 0 0 12px !important;
    background-color: var(--mobile-menu-close-button-color) !important;
}
/* hide little arrows */
/*#mega-menu-wrap-mainmenu #mega-menu-mainmenu li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator::after {
    display: none !important;
}*/

.menu-button a, .menu-button-gold a {
    font-size: var(--button-text-size);
    font-weight: var(--button-font-weight);
    line-height: 1.260;
    text-align: center;
    text-transform: var(--button-text-transform);
    text-decoration: none !important;
    text-shadow: none !important;
    padding: var(--button-narrow-padding);
    margin: 0 auto;
    display: inline-block;
    cursor: pointer;
    border-width: var(--button-border-width);
    border-style: solid;
    border-color: var(--button-border-color);
    border-radius: var(--button-border-radius) !important;
    transition: all .4s ease-in-out;
}

.menu-button a:link, .menu-button a:visited, .menu-button a:active {
    color: var(--button-text-color) !important;
    background-color: var(--button-background-color) !important;
}

.menu-button-gold a:link, .menu-button-gold a:visited, .menu-button-gold a:active {
    color: var(--charcoal-color) !important;
    background-color: var(--gold-color) !important;
}

.menu-button a:hover {
    text-decoration: none;
    color: var(--button-hover-text-color) !important;
    border-color: var(--button-hover-border-color);
    background-color: var(--button-hover-background-color) !important;
}

.menu-button-gold a:hover {
    text-decoration: none;
    color: var(--white-color) !important;
    border-color: var(--button-hover-border-color);
    background-color: var(--charcoal-color) !important;
}

.logo img {
    transition: .9s all step-start;
    transform-origin: center left;
}


/* ------------STICKY HEADER */

/* fix text not aligning to right */

#mega-menu-wrap-mainmenu {
    width: 100% !important;
}

/* Mega Menu Hamburger */

#mega-menu-wrap-mainmenu .mega-menu-toggle {
    line-height: 15px !important;
}

.mega-toggle-block button, .mega-toggle-block button:hover, .mega-toggle-block button:focus {
    border-radius: 0 !important;
    border: none !important;
    padding: 0 !important;
    background: none !important;
}

#mega-menu-wrap-mainmenu, #mega-menu-wrap-mainmenu #mega-menu-mainmenu, #mega-menu-wrap-mainmenu #mega-menu-mainmenu ul.mega-sub-menu, #mega-menu-wrap-mainmenu #mega-menu-mainmenu li.mega-menu-item, #mega-menu-wrap-mainmenu #mega-menu-mainmenu li.mega-menu-row, #mega-menu-wrap-mainmenu #mega-menu-mainmenu li.mega-menu-column, #mega-menu-wrap-mainmenu #mega-menu-mainmenu a.mega-menu-link, #mega-menu-wrap-mainmenu #mega-menu-mainmenu span.mega-menu-badge {
font-family: var(--menu-family) !important;
}
/* Mobile Toggle Button */
#mega-menu-wrap-mainmenu .mega-menu-toggle .mega-toggle-block-1 .mega-toggle-animated {
    border-radius: 0px !important;
    border: none !important;
    padding: 0 !important;
    background-color: transparent !important
}

#mega-menu-wrap-mainmenu .mega-menu-toggle .mega-toggle-block-1 .mega-toggle-animated-inner, #mega-menu-wrap-mainmenu .mega-menu-toggle .mega-toggle-block-1 .mega-toggle-animated-inner::before, #mega-menu-wrap-mainmenu .mega-menu-toggle .mega-toggle-block-1 .mega-toggle-animated-inner::after {
    border-radius: 0px !important;
}

.headermain img {
    margin-bottom: 0 !important;
    transition: all .4s ease-in-out;
}

header ul {
    margin: 0;
}

@media screen and (max-width: 1275px) {
    .logo img {
        max-width: var(--header-mobile-logo-width) !important;
    }
}

@media screen and (max-width: 1090px) {
    .headermain {
        width: 100%;
        max-width: 100vw;
    }
}


/* --------------------------------------- >>>>> DESKTOP MENU ------ */
@media screen and (min-width: 981px) {
    
    .headermain {
        padding: 0;
    }
    .headermain .column.text-right .row {
        padding: .5rem 0;
    }
    
    header nav {
        text-align: right;
    }

.headercontainer.solid {
        position: fixed !important;     
    }

    .headercontainer.solid {
        animation: slideDown 0.55s ease-out;
    }

    @keyframes slideDown {
      from {
        transform: translateY(-100%);
      }
      to {
        transform: translateY(0);
      }
    }
    .headercontainer.solid {
        top: 4px;
        left: 1%;
        background-color: var(--header-solid-background-color) !important;
    padding: .5rem !important;
        max-width: 98%;
    /*max-width: fit-content !important;*/
    z-index: 900 !important;
        border: var(--header-solid-border) !important;
        border-radius: var(--border-radius) !important;
}
    
    .logo {
        max-width: fit-content;
    }
    .headercontainer.solid .logo {
        max-width: none;
    }
    .logo img {
        max-width: var(--header-desktop-logo-width);
    }
    
    .headercontainer.solid .logo img {
        max-width: var(--header-mobile-logo-width);
    }
    
    .headercontainer.solid .headermain {
        max-width: 100%;
    }
    
    .topnav {
        padding-bottom: 2rem;
    }
    
    .headercontainer {
        padding: var(--header-padding);
    }

    
    #mega-menu-wrap-mainmenu #mega-menu-mainmenu > li.mega-menu-flyout.dropdown-right ul.mega-sub-menu {
        right: 0;
    }
    
    /* Last item margin */
    #mega-menu-wrap-mainmenu #mega-menu-mainmenu > li.mega-menu-item:last-child {
        margin: 0 !important;
    }

    header ul.mega-menu li {
        position: relative;
    }
    
    ul.mega-menu li.mega-current-menu-item a {
        cursor: crosshair;
    }
    
    .mobile-menu-only {
        display: none !important;
    }
    
    /* -----------------------Grow Bottom Border */
    
    header ul.mega-menu ul li a:hover {
        transform-origin: bottom left;
    }

    header ul.mega-menu li:after {
        display:block !important;
        content: '';
        height: 6px !important;
        background: var(--gold-color) !important;
        transform: scaleX(0) !important;
        transform-origin: bottom left;
        transition: transform 300ms ease-in-out !important;
    }
 
    header ul.mega-menu li:hover:after { transform: scaleX(1) !important; }

    header ul.mega-menu li.mega-current-menu-item:after {
        display:block !important;
        content: '';
        height: 6px !important;
        background: var(--gold-color) !important;
        transform-origin: bottom left;
        transform: scaleX(1) !important;
    }

    /* Grow Bottom Border on Dropdowns */
    header ul.mega-menu ul li {
        /*border-bottom: 6px solid var(--charcoal-color);*/
    }
    header ul.mega-menu ul li:before { border-top: none; }
    header ul.mega-menu ul li:after, ul.mega-menu ul li.mega-current-menu-item:after {
        display:none !important;
    }
    header ul.mega-menu ul li:hover:after { transform: none !important; }
    
}

/* --------------------------------------- >>>>> MOBILE MENU ------ */

@media screen and (max-width: 980px) {
    
    .headermain .column.text-right .row {
        padding: .5rem 0;
    }
   
    .topnav ul li {
        display: inline;
    }
    
    .logo img.mobile-menu-only {
        width: 100%;
        max-width: var(--header-mobile-logo-width) !important;
    }
    
    /* Mega Menu Dropdown Arrow */

#mega-menu-wrap-mainmenu #mega-menu-mainmenu li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator {
    font-size: 24px !important;
}
    
    .logo img {
        width:var(--header-mobile-logo-width);
    }

    .menu-image-title {
        display: none !important;
    }

    .headermain.row {
        width: 100%;
        max-width: 100%;
    }

    /* Submenu */
    
    #mega-menu-wrap-mainmenu #mega-menu-mainmenu > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link {
        padding: 5px 10px 5px 20px;
    }
    
    #mega-menu-wrap-mainmenu #mega-menu-mainmenu li.mega-menu-item.mega-toggle-on > ul.mega-sub-menu, #mega-menu-wrap-mainmenu #mega-menu-mainmenu > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link {
       background-color: var(--mobile-submenu-background-color) !important;
        color: var(--mobile-submenu-color) !important;
    }
    
    #mega-menu-wrap-mainmenu #mega-menu-mainmenu > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a.mega-menu-link:hover {
       background-color: var(--mobile-submenu-background-color) !important;
        color: var(--mobile-submenu-color) !important;
        text-decoration: none !important;
    }

    /* Submenu arrows - keeps the text from shifting left when it's centered */

    #mega-menu-wrap-mainmenu #mega-menu-mainmenu li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator {
        position: absolute;
    }

    .headercontainer {
        position: relative;
        width: 100%;
        max-width: none;
        z-index: 500 !important;
    }

    .headercontainer:after {
        display: none;
    }

    .headercontainer .headermenu {
        padding: 0;
        display: block;
    }
    .headercontainer .headermenu.align-center {
        justify-content: flex-start !important;
    }


    .headermenu {
        padding: .3rem;
        position: relative;
    }

    .desktop-menu-only {
        display: none !important;
    }

}